Problème apt-get (Debian) [Résolu/Fermé]

Signaler
Messages postés
55
Date d'inscription
mardi 10 mars 2009
Statut
Membre
Dernière intervention
28 janvier 2012
-
Messages postés
186
Date d'inscription
jeudi 31 mai 2007
Statut
Membre
Dernière intervention
24 octobre 2016
-
Bonjour,

J'utilise actuellement un serveur Debian pour quelques manipulations.
Ayant récemment installé des outils tels que PHP5, MySQL (avec PHPMyAdmin )et Apache2, je reçois une erreur qui m'empêche de faire mes mises à jours d'applications/logiciels.

Je tente avec un apt-get dist-upgrade, et j'obtiens une erreur qui me dit à la fin d'essayer avec --fix-missing, mais même erreur.

Savez-vous quoi faire ?

Cordialement
A voir également:

6 réponses

Messages postés
1
Date d'inscription
lundi 23 mars 2009
Statut
Membre
Dernière intervention
25 novembre 2012
1
J'ai le même probleme. Pas moyen de mettre à jour ma machine. Mon source.list est bon et je suis connecté à internet. J'ai pinger ftp.fr.debian.org et ça fonctionne. Je ne comprends pas d'ou vient le pb. Merci d'avance pour le coup de main.


debian squeeze sur amd64.
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65492 internautes nous ont dit merci ce mois-ci

Messages postés
55
Date d'inscription
mardi 10 mars 2009
Statut
Membre
Dernière intervention
28 janvier 2012
17
Voici l'erreur que j'obtiens :

root@Razor:~# apt-get dist-update --fix-missing
E: L'opération dist-update n'est pas valable
root@Razor:~# apt-get dist-upgrade --fix-missing
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  libssl0.9.8 libxml2 libxml2-utils openssl phpmyadmin python-libxml2
6 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 7 712 ko dans les archives.
Après cette opération, 4 096 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Err https://www.debian.org/security/ squeeze/updates/main libssl0.9.8 amd64 0.9.8o-4s                                                                             queeze7
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main libxml2 amd64 2.7.8.dfsg-2+                                                                             squeeze2
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main libxml2-utils amd64 2.7.8.d                                                                             fsg-2+squeeze2
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main openssl amd64 0.9.8o-4squee                                                                             ze7
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main python-libxml2 amd64 2.7.8.                                                                             dfsg-2+squeeze2
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main phpmyadmin all 4:3.3.7-7
  Ne parvient pas à résoudre « security.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/o/openssl/l                                                                             ibssl0.9.8_0.9.8o-4squeeze7_amd64.deb  Ne parvient pas à résoudre « security.deb                                                                             ian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/libx/libxml                                                                             2/libxml2_2.7.8.dfsg-2+squeeze2_amd64.deb  Ne parvient pas à résoudre « security                                                                             .debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/libx/libxml                                                                             2/libxml2-utils_2.7.8.dfsg-2+squeeze2_amd64.deb  Ne parvient pas à résoudre « se                                                                             curity.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/o/openssl/o                                                                             penssl_0.9.8o-4squeeze7_amd64.deb  Ne parvient pas à résoudre « security.debian.                                                                             org »
Impossible de récupérer http://security.debian.org/pool/updates/main/libx/libxml                                                                             2/python-libxml2_2.7.8.dfsg-2+squeeze2_amd64.deb  Ne parvient pas à résoudre « s                                                                             ecurity.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/p/phpmyadmi                                                                             n/phpmyadmin_3.3.7-7_all.deb  Ne parvient pas à résoudre « security.debian.org »


Et voici mon sources.list :

#deb http://ftp.fr.debian.org/debian/ squeeze main

deb http://ftp.fr.debian.org/debian/ squeeze main
#deb-src http://ftp.fr.debian.org/debian/ squeeze main


Cordialement
deb https://www.debian.org/security/ squeeze/updates main
#deb-src https://www.debian.org/security/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
#deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main
deb http://ftp.fr.debian.org/debian/ squeeze-updates main
Messages postés
55
Date d'inscription
mardi 10 mars 2009
Statut
Membre
Dernière intervention
28 janvier 2012
17
J'essaye de mettre l'erreur en commentaire ou en réponse, et rien à faire, Ça me supprime mon message.
Je vais juste vous mettre un morceau alors.

<code>Impossible de récupérer http://security.debian.org/pool/updates/main/libx/libxml2/libxml2-utils_2.7.8.dfsg-2+squeeze2_amd64.deb Ne parvient pas à résoudre « security.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/o/openssl/openssl_0.9.8o-4squeeze7_amd64.deb Ne parvient pas à résoudre « security.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/libx/libxml2/python-libxml2_2.7.8.dfsg-2+squeeze2_amd64.deb Ne parvient pas à résoudre « security.debian.org »
Impossible de récupérer http://security.debian.org/pool/updates/main/p/phpmyadmin/phpmyadmin_3.3.7-7_all.deb Ne parvient pas à résoudre « security.debian.org »/<code>
Messages postés
1231
Date d'inscription
mardi 7 juin 2011
Statut
Membre
Dernière intervention
24 mai 2015
331
Bonjour,

Pour mettre à jour, je te suggère :
apt-get update && apt-get dist-upgrade

J'ai une squeeze avec presque le même fichier source.list, et la mise à jour se fait sans problème...

Je suppose que «Cordialement» n'est pas écrit dans ton fichier source... sinon tu peux le supprimer. Par ailleurs, tu peux (mais ce n'est normalement pas obligatoire enlever le # au début des lignes «deb-src» ...

Si ça ne marche pas, le problème vient d'ailleurs...

Messages postés
55
Date d'inscription
mardi 10 mars 2009
Statut
Membre
Dernière intervention
28 janvier 2012
17
En effet, le "Cordialement" est une faute, (surement due à l'heure tardive...)
Donc il n'est pas dans mon sources.list et j'ai essayer de retirer les # (que j'avais rajouter pour tester) et toujours le même résultat.

J'ai déjà essayé de faire le Dist-upgrade et le update.

Voilà ce que j'obtiens avec apt-get update

root@Razor:~# apt-get update
Err https://www.debian.org/security/ squeeze/updates Release.gpg
  Ne parvient pas à résoudre « security.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main Translation-en
  Ne parvient pas à résoudre « security.debian.org »
Err http://ftp.fr.debian.org squeeze Release.gpg
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Err https://www.debian.org/security/ squeeze/updates/main Translation-fr
  Ne parvient pas à résoudre « security.debian.org »
Err http://ftp.fr.debian.org/debian/ squeeze/main Translation-en
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Err http://ftp.fr.debian.org/debian/ squeeze/main Translation-fr
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Err http://ftp.fr.debian.org squeeze-updates Release.gpg
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Err http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-en
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Err http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-fr
  Ne parvient pas à résoudre « ftp.fr.debian.org »
Lecture des listes de paquets... Fait
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/Release                                                                             .gpg  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/main/i1                                                                             8n/Translation-en.bz2  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/main/i1                                                                             8n/Translation-fr.bz2  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Impossible de récupérer http://security.debian.org/dists/squeeze/updates/Rele                                                                             ase.gpg  Ne parvient pas à résoudre « security.debian.org »

W: Impossible de récupérer http://security.debian.org/dists/squeeze/updates/main                                                                             /i18n/Translation-en.bz2  Ne parvient pas à résoudre « security.debian.org »

W: Impossible de récupérer http://security.debian.org/dists/squeeze/updates/main                                                                             /i18n/Translation-fr.bz2  Ne parvient pas à résoudre « security.debian.org »

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates                                                                             /Release.gpg  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates                                                                             /main/i18n/Translation-en.bz2  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates                                                                             /main/i18n/Translation-fr.bz2  Ne parvient pas à résoudre « ftp.fr.debian.org »

W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés,                                                                              ou les anciens ont été utilisés à la place.
Messages postés
1231
Date d'inscription
mardi 7 juin 2011
Statut
Membre
Dernière intervention
24 mai 2015
331
Je suppose que nous sommes d'accord sur le fait que tu viens sur ce forum avec le même ordinateur, et que de fait ta connexion Internet n'a aucun problème...

si tu essayes :
ping ftp.fr.debian.org
(Ctrl+C pour y mettre fin)
Obtiens tu des temps corrects ?

As tu désinstallé des programmes ? Ou fait quelque chose de spécial ?
Messages postés
55
Date d'inscription
mardi 10 mars 2009
Statut
Membre
Dernière intervention
28 janvier 2012
17
Pardon de vous avoir déranger pour rien, j'ai pu résoudre mon problème.

Merci de ton aide laoshu, mon problème était (cérébrale) un simple problème de configuration de iptables..... J'ai mis trop de restrictions, et j'avais restreint au passage trop de ports, dont celui de apt (qui est le 80 je crois)
Je met en résolu.

Merci pour ton aide, et excuse-moi du temps perdu

Bonne continuation
Messages postés
1
Date d'inscription
dimanche 16 avril 2006
Statut
Membre
Dernière intervention
7 novembre 2012

Bonjour,

Pouvez-vous me dire comment savoir s'il y a une restriction sur le port de "apt" et comment annuler cette restriction?

Merci de votre aide
Messages postés
186
Date d'inscription
jeudi 31 mai 2007
Statut
Membre
Dernière intervention
24 octobre 2016
15
Bonjour, si apt-get ne marche pas, testez les commandes :
aptitude update
et
aptitude safe-upgrade